Package ghidra.framework.main.wizard.project

# Class ProjectWizardModel

java.lang.Object
docking.wizard.WizardModel<ProjectWizardData>
ghidra.framework.main.wizard.project.ProjectWizardModel

public class ProjectWizardModel extends WizardModel<ProjectWizardData>
Wizard model for creating new Ghidra projects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Border`
  `STANDARD_BORDER`

  ### Fields inherited from class docking.wizard.WizardModel

  `data, wizardDialog`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectWizardModel(PluginTool tool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addWizardSteps(List<WizardStep<ProjectWizardData>> steps)`
  This method defines the wizard step objects in the order that will be displayed.
  `void`
  `cancel()`
  Subclasses should override this method if they have special cleanup that only needs to be done if the wizard is cancelled.
  `protected boolean`
  `doFinish()`
  This method is called when the user presses the "Finish" button and all the steps have completed their apply() methods successfully.
  `Dimension`
  `getPreferredSize()`
  Returns the preferred size of the panels in the wizard dialog.
  `ProjectLocator`
  `getProjectLocator()`
  `RepositoryAdapter`
  `getRepository()`

  ### Methods inherited from class docking.wizard.WizardModel

  `canCancel, canFinish, canGoBack, canGoNext, dispose, finish, getCurrentStep, getData, getIcon, getStatusMessage, getTitle, goBack, goNext, setStatusMessage, statusChanged, wasCancelled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STANDARD_BORDER

    public static final Border STANDARD_BORDER

- ## Constructor Details

  - ### ProjectWizardModel

    public ProjectWizardModel(PluginTool tool)

- ## Method Details

  - ### addWizardSteps

    protected void addWizardSteps(List<WizardStep<ProjectWizardData>> steps)
    Description copied from class: `WizardModel`
    This method defines the wizard step objects in the order that will be displayed.
    Specified by:
      `addWizardSteps` in class `WizardModel<ProjectWizardData>`
    Parameters:
      `steps` - the wizard steps

  - ### getPreferredSize

    public Dimension getPreferredSize()
    Description copied from class: `WizardModel`
    Returns the preferred size of the panels in the wizard dialog. By default the preferred size is the largest size of any panels that have been created at construction time (components are not required to be constructed until they are shown). Subclasses can override this method to just hard code a preferred size for the dialog.
    Overrides:
      `getPreferredSize` in class `WizardModel<ProjectWizardData>`
    Returns:
      the preferred size of the panels in the wizard dialog

  - ### doFinish

    protected boolean doFinish()
    Description copied from class: `WizardModel`
    This method is called when the user presses the "Finish" button and all the steps have completed their apply() methods successfully.
    Specified by:
      `doFinish` in class `WizardModel<ProjectWizardData>`
    Returns:
      true if the model successfully completes the wizard. If false is returned, the wizard will not be closed.

  - ### cancel

    public void cancel()
    Description copied from class: `WizardModel`
    Subclasses should override this method if they have special cleanup that only needs to be done if the wizard is cancelled. Otherwise, all cleanup should be done in the `WizardModel.dispose()` method which is called whether or not the dialog is cancelled.
    Overrides:
      `cancel` in class `WizardModel<ProjectWizardData>`

  - ### getProjectLocator

    public ProjectLocator getProjectLocator()

  - ### getRepository

    public RepositoryAdapter getRepository()